Bug 24775 - Payment submit button on POS page should have an ID
Summary: Payment submit button on POS page should have an ID
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 23354
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-03-02 11:55 UTC by Martin Renvoize
Modified: 2020-04-01 21:16 UTC (History)
9 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24775: Add ID to POS submit payment button (1.24 KB, patch)
2020-03-02 12:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24775: Add ID to POS submit payment button (1.31 KB, patch)
2020-03-02 17:14 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24775: Add ID to POS submit payment button (1.37 KB, patch)
2020-03-03 13:19 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24775: Add ID to POS submit payment button (1.42 KB, patch)
2020-03-04 12:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-03-02 11:55:41 UTC
Sometimes people wish to override the payment button, for example to open a cash register via JS.. as such it's helpful to have an ID for the button.
Comment 1 Martin Renvoize 2020-03-02 12:01:13 UTC
Created attachment 99904 [details] [review]
Bug 24775: Add ID to POS submit payment button

This patch simply adds an ID to the submit button to make it easier to
overide styling and functionality.

Test Plan:
0/ Inspect the element on page and note there is no id
1/ Apply patch
2/ Refresh page
3/ Inspect the element on page and note there is now an id
Comment 2 PTFS Europe Sandboxes 2020-03-02 17:14:29 UTC
Created attachment 99954 [details] [review]
Bug 24775: Add ID to POS submit payment button

This patch simply adds an ID to the submit button to make it easier to
overide styling and functionality.

Test Plan:
0/ Inspect the element on page and note there is no id
1/ Apply patch
2/ Refresh page
3/ Inspect the element on page and note there is now an id

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Andrew Fuerste-Henry 2020-03-03 13:19:45 UTC
Created attachment 99999 [details] [review]
Bug 24775: Add ID to POS submit payment button

This patch simply adds an ID to the submit button to make it easier to
overide styling and functionality.

Test Plan:
0/ Inspect the element on page and note there is no id
1/ Apply patch
2/ Refresh page
3/ Inspect the element on page and note there is now an id

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2020-03-04 12:00:46 UTC
Created attachment 100098 [details] [review]
Bug 24775: Add ID to POS submit payment button

This patch simply adds an ID to the submit button to make it easier to
overide styling and functionality.

Test Plan:
0/ Inspect the element on page and note there is no id
1/ Apply patch
2/ Refresh page
3/ Inspect the element on page and note there is now an id

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Martin Renvoize 2020-03-04 14:54:42 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-01 21:16:51 UTC
not pushed to 19.11.x due to dependencies